import { EOrientation } from '../../types';
export declare const PAGE_META: {
    readonly landscape: {
        readonly height: 718.1;
        readonly width: 1046.9;
    };
    readonly portrait: {
        readonly height: 971.33;
        readonly width: 680.3;
    };
};
export declare class Page {
    private orientation;
    private fullHeight;
    private balanceHeight;
    private currentContentHeight;
    private elems;
    private template;
    constructor(orientation: EOrientation, template: string);
    get pageContent(): string;
    get height(): {
        fullHeight: number;
        balanceHeight: number;
        currentContentHeight: number;
    };
    insertElem(elem: HTMLDivElement): this | null;
}
