declare type DfsData = {
    node: HTMLElement;
    settings?: {
        callback?: (node: HTMLElement) => void;
        isRevertDfs?: boolean;
    };
};
export declare class Tree {
    private _root;
    constructor(root: HTMLDivElement);
    get isEmpty(): boolean;
    get isHaveContent(): boolean;
    get countNodes(): number;
    set root(value: HTMLDivElement);
    get root(): HTMLDivElement;
    dfs({ node, settings }: DfsData): void;
}
export {};
